<html>
<head>
<title>Ogre::AnimableObject Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnimableObject.html">AnimableObject</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::AnimableObject Class Reference<div class="ingroups"><a class="el" href="group__Animation.html">Animation</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::AnimableObject" -->
<p>Defines an interface to classes which have one or more <a class="el" href="classOgre_1_1AnimableValue.html" title="Defines an object property which is animable, i.e.">AnimableValue</a> instances to expose.  
 <a href="classOgre_1_1AnimableObject.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::AnimableObject:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1AnimableObject__inherit__graph.gif" border="0" usemap="#Ogre_1_1AnimableObject_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1AnimableObject_inherit__map" id="Ogre_1_1AnimableObject_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene." alt="" coords="207,352,351,381"/><area shape="rect" id="node5" href="classOgre_1_1BillboardChain.html" title="Allows the rendering of a chain of connected billboards." alt="" coords="461,5,603,35"/><area shape="rect" id="node9" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default..." alt="" coords="468,59,596,88"/><area shape="rect" id="node11" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh." alt="" coords="487,112,577,141"/><area shape="rect" id="node13" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi..." alt="" coords="479,165,585,195"/><area shape="rect" id="node17" href="classOgre_1_1InstanceBatch.html" title="InstanceBatch forms part of the new Instancing system This is an abstract class that must be derived ..." alt="" coords="461,219,603,248"/><area shape="rect" id="node25" href="classOgre_1_1InstancedEntity.html" title="Ogre::InstancedEntity" alt="" coords="457,272,607,301"/><area shape="rect" id="node27" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class..." alt="" coords="400,325,664,355"/><area shape="rect" id="node29" href="classOgre_1_1Light.html" title="Representation of a dynamic light source in the scene." alt="" coords="489,379,575,408"/><area shape="rect" id="node31" href="classOgre_1_1ManualObject.html" title="Class providing a much simplified interface to generating manual objects with custom geometry..." alt="" coords="463,432,601,461"/><area shape="rect" id="node33" href="classOgre_1_1MovablePlane.html" title="Definition of a Plane that may be attached to a node, and the derived details of it retrieved simply..." alt="" coords="463,485,601,515"/><area shape="rect" id="node35" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects." alt="" coords="459,539,605,568"/><area shape="rect" id="node37" href="classOgre_1_1SimpleRenderable.html" title="Simple implementation of MovableObject and Renderable for single&#45;part custom objects." alt="" coords="451,592,613,621"/><area shape="rect" id="node45" href="classOgre_1_1StaticGeometry_1_1Region.html" title="The details of a topological region which is the highest level of partitioning for this class..." alt="" coords="433,645,631,675"/><area shape="rect" id="node47" href="classOgre_1_1TerrainQuadTreeNode_1_1Movable.html" title="MovableObject implementation to provide the hook to the scene." alt="" coords="411,699,653,728"/><area shape="rect" id="node7" href="classOgre_1_1RibbonTrail.html" title="Subclass of BillboardChain which automatically leaves a trail behind one or more Node instances..." alt="" coords="791,5,913,35"/><area shape="rect" id="node15" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered." alt="" coords="800,139,904,168"/><area shape="rect" id="node19" href="classOgre_1_1BaseInstanceBatchVTF.html" title="Instancing implementation using vertex texture through Vertex Texture Fetch (VTF) This implementation..." alt="" coords="753,192,951,221"/><area shape="rect" id="node21" href="classOgre_1_1InstanceBatchHW.html" title="This is technique requires true instancing hardware support." alt="" coords="769,245,935,275"/><area shape="rect" id="node23" href="classOgre_1_1InstanceBatchShader.html" title="This is the same technique the old &quot;InstancedGeometry&quot; implementation used (with improvements)." alt="" coords="761,299,943,328"/><area shape="rect" id="node39" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html" title="A GeometryBucket is a the lowest level bucket where geometry with the same vertex &amp; index format is s..." alt="" coords="713,539,991,568"/><area shape="rect" id="node41" href="classOgre_1_1Rectangle2D.html" title="Allows the rendering of a simple 2D rectangle This class renders a simple 2D rectangle; this rectangl..." alt="" coords="785,592,919,621"/><area shape="rect" id="node43" href="classOgre_1_1WireBoundingBox.html" title="Allows the rendering of a wireframe bounding box." alt="" coords="771,645,933,675"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1AnimableObject-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableObject.html#acc4f830de60e226fbed772610eea93a4">AnimableObject</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableObject.html#ac61ca9c912e6b00bbe4fdd9ee0e56079">~AnimableObject</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableObject.html#a4239d192b2b08c4970dfaa22ce5a0cd0">getAnimableValueNames</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a list of animable value names for this object.  <a href="#a4239d192b2b08c4970dfaa22ce5a0cd0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Animation.html#ga5e0882c3b9f7ca32a795f98cf034e428">AnimableValuePtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableObject.html#ab2cfac9af1b0d71c780ec969166b3585">createAnimableValue</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;valueName)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a reference-counted AnimableValuePtr for the named value.  <a href="#ab2cfac9af1b0d71c780ec969166b3585"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableObject.html#ab2ea54bb7c39f7640f71be8bb2f8b0a5">AnimableDictionaryMap</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableObject.html#a7748b5ea03ba5eb10fdd79e455f96443">getAnimableDictionaryName</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the animable dictionary for this class.  <a href="#a7748b5ea03ba5eb10fdd79e455f96443"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableObject.html#a83629c5c4708cebd10c358a4be0722f5">createAnimableDictionary</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for creating a dictionary of animable value names for the class, if it does not already exist.  <a href="#a83629c5c4708cebd10c358a4be0722f5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableObject.html#a20139173e816c296ab46d0548d1d4902">_getAnimableValueNames</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an updateable reference to animable value list.  <a href="#a20139173e816c296ab46d0548d1d4902"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableObject.html#a80abf1736a4241c432b30d2073c7a263">initialiseAnimableDictionary</a> (<a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> &amp;) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for initialising dictionary; should be implemented by subclasses wanting to expose animable parameters.  <a href="#a80abf1736a4241c432b30d2073c7a263"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1AnimableObject.html#ab2ea54bb7c39f7640f71be8bb2f8b0a5">AnimableDictionaryMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimableObject.html#a1e2b199b8a10c3753ebeecc8fa773620">msAnimableDictionary</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Static map of class name to list of animable value names.  <a href="#a1e2b199b8a10c3753ebeecc8fa773620"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Defines an interface to classes which have one or more <a class="el" href="classOgre_1_1AnimableValue.html" title="Defines an object property which is animable, i.e.">AnimableValue</a> instances to expose. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00237">237</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="ab2ea54bb7c39f7640f71be8bb2f8b0a5"></a><!-- doxytag: member="Ogre::AnimableObject::AnimableDictionaryMap" ref="ab2ea54bb7c39f7640f71be8bb2f8b0a5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&gt;::type <a class="el" href="classOgre_1_1AnimableObject.html#ab2ea54bb7c39f7640f71be8bb2f8b0a5">Ogre::AnimableObject::AnimableDictionaryMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00240">240</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="acc4f830de60e226fbed772610eea93a4"></a><!-- doxytag: member="Ogre::AnimableObject::AnimableObject" ref="acc4f830de60e226fbed772610eea93a4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimableObject.html#acc4f830de60e226fbed772610eea93a4">Ogre::AnimableObject::AnimableObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00290">290</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac61ca9c912e6b00bbe4fdd9ee0e56079"></a><!-- doxytag: member="Ogre::AnimableObject::~AnimableObject" ref="ac61ca9c912e6b00bbe4fdd9ee0e56079" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1AnimableObject.html#ac61ca9c912e6b00bbe4fdd9ee0e56079">Ogre::AnimableObject::~AnimableObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00291">291</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a20139173e816c296ab46d0548d1d4902"></a><!-- doxytag: member="Ogre::AnimableObject::_getAnimableValueNames" ref="a20139173e816c296ab46d0548d1d4902" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&amp; <a class="el" href="classOgre_1_1AnimableObject.html#a20139173e816c296ab46d0548d1d4902">Ogre::AnimableObject::_getAnimableValueNames</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an updateable reference to animable value list. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00266">266</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00114">Ogre::Exception::ERR_ITEM_NOT_FOUND</a>.</p>

</div>
</div>
<a class="anchor" id="a83629c5c4708cebd10c358a4be0722f5"></a><!-- doxytag: member="Ogre::AnimableObject::createAnimableDictionary" ref="a83629c5c4708cebd10c358a4be0722f5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimableObject.html#a83629c5c4708cebd10c358a4be0722f5">Ogre::AnimableObject::createAnimableDictionary</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for creating a dictionary of animable value names for the class, if it does not already exist. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00253">253</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab2cfac9af1b0d71c780ec969166b3585"></a><!-- doxytag: member="Ogre::AnimableObject::createAnimableValue" ref="ab2cfac9af1b0d71c780ec969166b3585" args="(const String &amp;valueName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Animation.html#ga5e0882c3b9f7ca32a795f98cf034e428">AnimableValuePtr</a> <a class="el" href="classOgre_1_1AnimableObject.html#ab2cfac9af1b0d71c780ec969166b3585">Ogre::AnimableObject::createAnimableValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>valueName</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a reference-counted AnimableValuePtr for the named value. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can use the returned object to animate a value on this object, using <a class="el" href="classOgre_1_1AnimationTrack.html" title="A &#39;track&#39; in an animation sequence, i.e.">AnimationTrack</a>. Subclasses must override this if they wish to support animation of their values. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1Light.html#a6e0be3df5d41752c0bedfcf9c89e492b">Ogre::Light</a>.</p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00319">319</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00114">Ogre::Exception::ERR_ITEM_NOT_FOUND</a>.</p>

</div>
</div>
<a class="anchor" id="a7748b5ea03ba5eb10fdd79e455f96443"></a><!-- doxytag: member="Ogre::AnimableObject::getAnimableDictionaryName" ref="a7748b5ea03ba5eb10fdd79e455f96443" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1AnimableObject.html#a7748b5ea03ba5eb10fdd79e455f96443">Ogre::AnimableObject::getAnimableDictionaryName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of the animable dictionary for this class. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Subclasses must override this if they want to support animation of their values. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1Light.html#a8b67ad3f3fe29c986f2298f9e462fae3">Ogre::Light</a>.</p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00248">248</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreString_8h_source.html#l00195">Ogre::StringUtil::BLANK</a>.</p>

</div>
</div>
<a class="anchor" id="a4239d192b2b08c4970dfaa22ce5a0cd0"></a><!-- doxytag: member="Ogre::AnimableObject::getAnimableValueNames" ref="a4239d192b2b08c4970dfaa22ce5a0cd0" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&amp; <a class="el" href="classOgre_1_1AnimableObject.html#a4239d192b2b08c4970dfaa22ce5a0cd0">Ogre::AnimableObject::getAnimableValueNames</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets a list of animable value names for this object. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00294">294</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00114">Ogre::Exception::ERR_ITEM_NOT_FOUND</a>.</p>

</div>
</div>
<a class="anchor" id="a80abf1736a4241c432b30d2073c7a263"></a><!-- doxytag: member="Ogre::AnimableObject::initialiseAnimableDictionary" ref="a80abf1736a4241c432b30d2073c7a263" args="(StringVector &amp;) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AnimableObject.html#a80abf1736a4241c432b30d2073c7a263">Ogre::AnimableObject::initialiseAnimableDictionary</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for initialising dictionary; should be implemented by subclasses wanting to expose animable parameters. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1Light.html#a3d2f217e88c62e3b2c2123085e71bc63">Ogre::Light</a>.</p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00286">286</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a1e2b199b8a10c3753ebeecc8fa773620"></a><!-- doxytag: member="Ogre::AnimableObject::msAnimableDictionary" ref="a1e2b199b8a10c3753ebeecc8fa773620" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimableObject.html#ab2ea54bb7c39f7640f71be8bb2f8b0a5">AnimableDictionaryMap</a> <a class="el" href="classOgre_1_1AnimableObject.html#a1e2b199b8a10c3753ebeecc8fa773620">Ogre::AnimableObject::msAnimableDictionary</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Static map of class name to list of animable value names. </p>

<p>Definition at line <a class="el" href="OgreAnimable_8h_source.html#l00242">242</a> of file <a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimable_8h_source.html">OgreAnimable.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
